from .models_core import Timeseries
from .models_role import TimeseriesRole, timeseries_timeseries_roles_table
from .models_annotation import TimeseriesAnnotation, timeseries_timeseries_annotations_table
from .models_programme import TimeseriesProgramme, timeseries_timeseries_programmes_table
from toardb.base import Base

from sqlalchemy import Table, String, Column, ForeignKey, Integer

# controlled vocabulary
RS_enum = Table("rs_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

RC_enum = Table("rc_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

